function [mels] = mel(freq)
%[mels] = mel(freq_hz)
% The conversion is done according to the formula:
%
% mels = 1127 * ln( 1 + (freq_hz/700) )

[r,c] = size(freq);
freq = freq(:);

mels = 1127 * log( 1 + (freq/700) );

mels = reshape(mels,r,c);
