function fig = speechdemo_5()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

load speechdemo_5

h0 = figure('Units','normalized', ...
	'Color',[0.752941 0.752941 0.752941], ...
	'Colormap',mat0, ...
	'CreateFcn','stftstart;', ...
	'Name',' Speech Analysis Demo       (SPAPL-UCLA)', ...
	'NumberTitle','off', ...
	'Pointer','crosshair', ...
	'PointerShapeCData',mat1, ...
	'Position',[0.004687500000000001 0.0361328125 0.7210937500000001 0.5732421875], ...
	'Tag','Fig1', ...
	'UserData',mat2);
h1 = uimenu('Parent',h0, ...
	'Enable','off', ...
	'Label','              ', ...
	'Tag','uimenu3');
h1 = uimenu('Parent',h0, ...
	'Accelerator','T', ...
	'Label','Type of Analysis', ...
	'Tag','uimenu1');
h2 = uimenu('Parent',h1, ...
	'Callback','mtype=1;stfttitle;', ...
	'Checked','on', ...
	'Label','STFT', ...
	'Tag','t1');
h2 = uimenu('Parent',h1, ...
	'Callback','mtype=2;stfttitle;', ...
	'Label','Spectrogram', ...
	'Tag','t2');
h2 = uimenu('Parent',h1, ...
	'Callback','mtype=3;stfttitle;', ...
	'Label','LPC spectrum', ...
	'Tag','t3');
h2 = uimenu('Parent',h1, ...
	'Callback','mtype=4;stfttitle;', ...
	'Label','LPC-CEP', ...
	'Tag','t4');
h2 = uimenu('Parent',h1, ...
	'Callback','mtype=5;stfttitle;', ...
	'Label','Mel filter bank output', ...
	'Tag','t5');
h2 = uimenu('Parent',h1, ...
	'Callback','mtype=6;stfttitle;', ...
	'Label','MFCC', ...
	'Tag','t6');
h2 = uimenu('Parent',h1, ...
	'Callback','mtype=7;stfttitle;', ...
	'Label','Power Spectrum Desity', ...
	'Tag','t7');
h1 = uimenu('Parent',h0, ...
	'Label','File Format', ...
	'Tag','uimenu5');
h2 = uimenu('Parent',h1, ...
	'Callback','fmt=1;stftfmt;', ...
	'Checked','on', ...
	'Label','au file', ...
	'Tag','f1');
h2 = uimenu('Parent',h1, ...
	'Callback','fmt=2;stftfmt', ...
	'Label','wav file', ...
	'Tag','f2');
h2 = uimenu('Parent',h1, ...
	'Callback','fmt=3;stftfmt', ...
	'Label','raw data, short int', ...
	'Tag','f3');
h2 = uimenu('Parent',h1, ...
	'Callback','fmt=4;stftfmt;', ...
	'Label','raw data, 16bit int', ...
	'Tag','f4');
h1 = uimenu('Parent',h0, ...
	'Label','Data Channel', ...
	'Tag','csmenu');
h2 = uimenu('Parent',h1, ...
	'Callback','currentdata=1;sigo=sigo1;[sig,hmd]=stftdata(sigo,pre,hmd);stftwinl;', ...
	'Checked','on', ...
	'Label','No. 1', ...
	'Tag','currentd1');
h2 = uimenu('Parent',h1, ...
	'Callback','currentdata=2;sigo=sigo2;[sig,hmd]=stftdata(sigo,pre,hmd);stftwinl;', ...
	'Label','No. 2', ...
	'Tag','currentd2');
h1 = uimenu('Parent',h0, ...
	'Accelerator','S', ...
	'Checked','on', ...
	'Label','About Speech Demo', ...
	'Separator','on', ...
	'Tag','uimenu2');
h2 = uimenu('Parent',h1, ...
	'Callback','stfthelp', ...
	'Label','Help', ...
	'Tag','Subuimenu2');
h2 = uimenu('Parent',h1, ...
	'Callback','stftabout;', ...
	'Label','About', ...
	'Tag','Helpuimenu1');
h1 = axes('Parent',h0, ...
	'Box','on', ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',[1 1 1], ...
	'ColorOrder',mat3, ...
	'CreateFcn','cla;%plott(sig);hold on;', ...
	'NextPlot','add', ...
	'Position',[0.261242 0.563898 0.507495 0.298722], ...
	'Tag','Axes2', ...
	'XColor',[0 0 0], ...
	'XGrid','on', ...
	'YColor',[0 0 0], ...
	'YGrid','on', ...
	'ZColor',[0 0 0], ...
	'ZGrid','on');
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.498929 -0.16092 0], ...
	'String','time in second', ...
	'Tag','Axes1Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[-0.0749465 0.494253 0], ...
	'Rotation',90, ...
	'String','Amplitude', ...
	'Tag','Axes1Text3', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',[-0.518201 1.45402 0], ...
	'Tag','Axes1Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0.4 0.9], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.498929 1.04598 0], ...
	'String','Time domain waveform', ...
	'Tag','Axes1Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h1 = axes('Parent',h0, ...
	'Box','on', ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',[1 1 1], ...
	'ColorOrder',mat4, ...
	'NextPlot','add', ...
	'Position',[0.267606 0.0681431 0.500542 0.310051], ...
	'Tag','Axes1', ...
	'XColor',[0 0 0], ...
	'XGrid','on', ...
	'YColor',[0 0 0], ...
	'YGrid','on', ...
	'ZColor',[0 0 0], ...
	'ZGrid','on');
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.498915 -0.154696 0], ...
	'String','Frequency', ...
	'Tag','Axes1Text8', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[-0.0759219 0.491713 0], ...
	'Rotation',90, ...
	'String','amplitude', ...
	'Tag','Axes1Text7', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',[-0.5357920000000001 3.01105 0], ...
	'Tag','Axes1Text6', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0.3 0.9], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.498915 1.0442 0], ...
	'String','Spectrum for the selected part', ...
	'Tag','Axes1Text5', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.752941 0.752941 0.752941], ...
	'FontSize',0.5, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0.4 0.9], ...
	'ListboxTop',0, ...
	'Position',[0.189939 0.921212 0.66869 0.0618182], ...
	'String','Short Time Fourier Transform (STFT)', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'Callback','stftright;', ...
	'FontSize',0.274232, ...
	'ListboxTop',0, ...
	'Position',[0.734561 0.446337 0.0487541 0.0477002], ...
	'String','right >>', ...
	'Tag','pushbuttonm');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'Callback','stftleft;', ...
	'FontSize',0.274232, ...
	'ListboxTop',0, ...
	'Position',[0.2026002166847237 0.4531516183986372 0.04658721560130011 0.04770017035775128], ...
	'String','<< left', ...
	'Tag','Pushbutton4');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.752941 0.752941 0.752941], ...
	'FontAngle','italic', ...
	'FontSize',0.274232, ...
	'ListboxTop',0, ...
	'Position',[0.791346 0.00572246 0.185577 0.0529328], ...
	'String','Written by Qifeng Zhu, 8/13/98', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','stftread;', ...
	'ListboxTop',0, ...
	'Position',[0.3001083423618635 0.4275979557069847 0.1408450704225352 0.03747870528109029], ...
	'Style','edit', ...
	'Tag','EditText2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.752941 0.752941 0.752941], ...
	'FontSize',0.4137931034482759, ...
	'ForegroundColor',[0 0 1], ...
	'ListboxTop',0, ...
	'Position',[0.3022751895991332 0.4684838160136287 0.07367280606717226 0.03236797274275979], ...
	'String','Filename:', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'Callback',mat5, ...
	'FontSize',0.274232, ...
	'ListboxTop',0, ...
	'Position',[0.2015167930660888 0.4054514480408858 0.0942578548212351 0.04599659284497445], ...
	'String','Play Selection', ...
	'Tag','Pushbutton5');
h1 = axes('Parent',h0, ...
	'Box','on', ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Clipping','off', ...
	'Color',[1 1 1], ...
	'ColorOrder',mat6, ...
	'HandleVisibility','callback', ...
	'Layer','top', ...
	'Position',[0 0.873802 0.185225 0.121406], ...
	'Tag','Axes3', ...
	'Visible','off', ...
	'XColor',[0 0 0], ...
	'XLim',[0.5 300.5], ...
	'XLimMode','manual', ...
	'YColor',[0 0 0], ...
	'YDir','reverse', ...
	'YLim',[0.5 120.5], ...
	'YLimMode','manual', ...
	'ZColor',[0 0 0]);
h2 = image('Parent',h1, ...
	'CData',mat7, ...
	'HandleVisibility','callback', ...
	'Tag','ucla', ...
	'XData',[1 300], ...
	'YData',[1 120]);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[149.612 -13.2143 0], ...
	'Tag','Axes3Text4', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[149.612 168.5 0], ...
	'Tag','Axes3Text3', ...
	'VerticalAlignment','cap', ...
	'Visible','off');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[-70.5059 62.2143 0], ...
	'Rotation',90, ...
	'Tag','Axes3Text2', ...
	'VerticalAlignment','baseline', ...
	'Visible','off');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',[-1.27515 -1.21429 0], ...
	'Tag','Axes3Text1', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0 0.7 0.94], ...
	'HandleVisibility','off', ...
	'ListboxTop',0, ...
	'Position',[0.790113 0.242424 0.183001 0.664242], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0 0.7 0.94], ...
	'Callback',mat8, ...
	'FontSize',0.274232, ...
	'ListboxTop',0, ...
	'Position',[0.813651 0.781942 0.134345 0.0511073], ...
	'String','Zoom On', ...
	'Style','checkbox', ...
	'Tag','Checkbox1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'Callback','stftselect;', ...
	'FontSize',0.274232, ...
	'ListboxTop',0, ...
	'Position',[0.813651 0.720613 0.134345 0.0511073], ...
	'String','Select', ...
	'Tag','selectbutton');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'Callback','redraw;', ...
	'FontSize',0.274232, ...
	'ListboxTop',0, ...
	'Position',[0.813651 0.659284 0.134345 0.0494037], ...
	'String','Clear', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0 0.7 0.94], ...
	'FontSize',0.274232, ...
	'ListboxTop',0, ...
	'Position',[0.814735 0.609881 0.134345 0.0340716], ...
	'String','Window Type', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.752941 0.752941 0.752941], ...
	'Callback','wintype=get(gco,''Value''),drawspec(sig,loc,winlength,wintype,ndft,db);', ...
	'FontSize',0.274232, ...
	'ListboxTop',0, ...
	'Position',[0.8136511375947996 0.5638841567291312 0.1354279523293608 0.04429301533219762], ...
	'String',mat9, ...
	'Style','popupmenu', ...
	'Tag','PopupMenu2', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0 0.7 0.94], ...
	'FontSize',0.274232, ...
	'ListboxTop',0, ...
	'Position',[0.813886 0.5234490000000001 0.134041 0.0347958], ...
	'String','FFT Size', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.752941 0.752941 0.752941], ...
	'Callback','ndft=get(gco,''Value''),drawspec(sig,loc,winlength,wintype,ndft,db);', ...
	'FontSize',0.274232, ...
	'ListboxTop',0, ...
	'Position',[0.813651 0.478705 0.134345 0.0459966], ...
	'String',mat10, ...
	'Style','popupmenu', ...
	'Tag','ndftmenu', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0 0.7 0.94], ...
	'FontSize',0.274232, ...
	'ListboxTop',0, ...
	'Position',[0.813651 0.429302 0.133261 0.0459966], ...
	'String','Window Length', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','stftwinl;', ...
	'ListboxTop',0, ...
	'Position',[0.813651 0.388416 0.134345 0.0374787], ...
	'String','400', ...
	'Style','edit', ...
	'Tag','winledit');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.752941 0.752941 0.752941], ...
	'FontSize',0.274232, ...
	'ForegroundColor',[1 0.4 0.4], ...
	'ListboxTop',0, ...
	'Position',[0.7974 0.170648 0.175515 0.0682594], ...
	'String','Window Overlap (for moving, spectrogram and 3D )', ...
	'Style','text', ...
	'Tag','StaticText6');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback',mat11, ...
	'ListboxTop',0, ...
	'Position',[0.819068 0.120954 0.127844 0.0408859], ...
	'String','200', ...
	'Style','edit', ...
	'Tag','EditText3');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'Callback','db=db*-1;[inputv,outputv]=drawspec(sig,loc,winlength,wintype,ndft,db);', ...
	'FontSize',0.274232, ...
	'ListboxTop',0, ...
	'Position',[0.8147345612134345 0.3185689948892675 0.1343445287107259 0.04940374787052811], ...
	'String','Linear/DB Toggle', ...
	'Tag','ldbutton');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'Callback','[inputv,outputv]=stft3d(sig,winlength,wintype,ndft);', ...
	'FontSize',0.28642, ...
	'FontWeight','demi', ...
	'ListboxTop',0, ...
	'Position',[0.798457 0.065053 0.0530376 0.0484115], ...
	'String','3D!', ...
	'Tag','Pushbutton7');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'Callback','close(gcbf);', ...
	'FontSize',0.274232, ...
	'ListboxTop',0, ...
	'Position',[0.902604 0.0620272 0.0626808 0.0514372], ...
	'String','Close', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0 0.6 0.9], ...
	'HandleVisibility','off', ...
	'ListboxTop',0, ...
	'Position',[0.0182013 0.0319489 0.172377 0.445687], ...
	'Style','frame', ...
	'Tag','Frame2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0 0.4 0.9], ...
	'Callback','stftpree;', ...
	'ListboxTop',0, ...
	'Position',[0.0509209 0.846678 0.12026 0.0289608], ...
	'Style','slider', ...
	'Tag','Slider1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.752941 0.752941 0.752941], ...
	'FontSize',9, ...
	'ForegroundColor',[0.2 0.5 1], ...
	'ListboxTop',0, ...
	'Position',[0.0249187 0.744463 0.167931 0.09710390000000001], ...
	'String','pre-emphasis  with  a=0  and  its  frequency response', ...
	'Style','text', ...
	'Tag','StaticText5');
h1 = axes('Parent',h0, ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',[1 1 1], ...
	'ColorOrder',mat12, ...
	'Position',[0.0568182 0.5606330000000001 0.120455 0.184534], ...
	'Tag','Axes4', ...
	'XColor',[0 0 0], ...
	'YColor',[0 0 0], ...
	'ZColor',[0 0 0]);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Interruptible','off', ...
	'Position',[0.490909 -0.261682 0], ...
	'String','normalized frequency', ...
	'Tag','Axes4Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Interruptible','off', ...
	'Position',[-0.318182 0.485981 0], ...
	'Rotation',90, ...
	'String','amplitude response', ...
	'Tag','Axes4Text3', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Interruptible','off', ...
	'Position',[-0.481818 2.38318 0], ...
	'Tag','Axes4Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Interruptible','off', ...
	'Position',[0.490909 1.07477 0], ...
	'Tag','Axes4Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0 0.6 0.9], ...
	'FontSize',0.42963, ...
	'ForegroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[0.0394231 0.321888 0.125962 0.0286123], ...
	'String','LPC order', ...
	'Style','text', ...
	'Tag','StaticText7');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0 0.6 0.9], ...
	'FontSize',0.42963, ...
	'ForegroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[0.0395371 0.160363 0.12729 0.0287443], ...
	'String','Number of filters', ...
	'Style','text', ...
	'Tag','StaticText7');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0 0.6 0.9], ...
	'FontSize',0.42963, ...
	'ForegroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[0.0403846 0.0801144 0.126923 0.0286123], ...
	'String','Lifter coefficient', ...
	'Style','text', ...
	'Tag','StaticText7');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0 0.6 0.9], ...
	'FontSize',0.42963, ...
	'ForegroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[0.0413462 0.241774 0.125962 0.0286123], ...
	'String','MFCC order', ...
	'Style','text', ...
	'Tag','StaticText7');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback',mat13, ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[0.0394231 0.287554 0.123077 0.0329041], ...
	'String','18', ...
	'Style','edit', ...
	'Tag','EditText4');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback',mat14, ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',mat15, ...
	'String','22', ...
	'Style','edit', ...
	'Tag','EditText7');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback',mat16, ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[0.0394231 0.206009 0.124038 0.0329041], ...
	'String','12', ...
	'Style','edit', ...
	'Tag','EditText5');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback',mat17, ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[0.0413462 0.131617 0.123077 0.0329041], ...
	'String','26', ...
	'Style','edit', ...
	'Tag','EditText6');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0 0.6 0.9], ...
	'FontSize',0.28, ...
	'ForegroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[0.0303359 0.403748 0.139762 0.0698467], ...
	'String','LPC and MFCC parameters', ...
	'Style','text', ...
	'Tag','StaticText8');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0 0.7 0.94], ...
	'Callback','para=get(gcbf,''UserData'');para(7)=get(gcbo,''Value'');set(gcbf,''Userdata'',para);', ...
	'FontSize',0.274232, ...
	'ListboxTop',0, ...
	'Position',[0.813886 0.257186 0.135005 0.0514372], ...
	'String','Hold lower window', ...
	'Style','checkbox', ...
	'Tag','Checkbox2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0 0.7 0.94], ...
	'FontSize',0.32, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[0.817985 0.846678 0.128927 0.0562181], ...
	'String','BASIC  CONTROL', ...
	'Style','text', ...
	'Tag','StaticText9');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'Callback','melscale;', ...
	'FontSize',0.379085, ...
	'ForegroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[0.0390286 0.356364 0.0398959 0.0387879], ...
	'String','Mel', ...
	'Tag','Pushbutton8');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'Callback','melfilter;', ...
	'FontSize',0.368254, ...
	'ForegroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[0.0901995 0.356364 0.0737207 0.0387879], ...
	'String','Mel filter', ...
	'Tag','Pushbutton9');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.752941 0.752941 0.752941], ...
	'FontSize',0.274232, ...
	'ListboxTop',0, ...
	'Position',[0.864572 0.9318570000000001 0.101842 0.0408859], ...
	'String','Sound On', ...
	'Style','radiobutton', ...
	'Tag','soundbutton', ...
	'UserData',mat18, ...
	'Visible','off');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.752941 0.752941 0.752941], ...
	'FontSize',0.274232, ...
	'ListboxTop',0, ...
	'Position',mat19, ...
	'String','Move Selection', ...
	'Style','radiobutton', ...
	'Tag','movesele');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'FontSize',14, ...
	'ForegroundColor',[1 0 0], ...
	'ListboxTop',0, ...
	'Position',[0.348862 0.156997 0.345612 0.151877], ...
	'String','No Selection is Made', ...
	'Style','text', ...
	'Tag','warntext', ...
	'Visible','off');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ForegroundColor',[0 0 1], ...
	'ListboxTop',0, ...
	'Position',mat20, ...
	'String','Adjust sampling freq', ...
	'Style','text', ...
	'Tag','StaticText10');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback',mat21, ...
	'ListboxTop',0, ...
	'Position',[0.4691224268689057 0.4258943781942078 0.07908992416034669 0.03747870528109029], ...
	'String','16000', ...
	'Style','edit', ...
	'Tag','fsample');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ForegroundColor',[0 0 1], ...
	'ListboxTop',0, ...
	'Position',mat22, ...
	'String','Resample at Fs=..', ...
	'Style','text', ...
	'Tag','StaticText11');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','stftresample;', ...
	'ListboxTop',0, ...
	'Position',[0.5839653304442036 0.4258943781942078 0.07908992416034669 0.04088586030664396], ...
	'Style','edit', ...
	'Tag','resample', ...
	'TooltipString','resamp');
if nargout > 0, fig = h0; end
