function [newsig]=zeromean(signal)
%[newsig]=zeromean(signal)
% 
%ZEROMEAN -- subtract mean from signal frames
%
% This function subtracts the mean of every column of the matrix signal
% from each element in the column.

[r,c] = size(signal);
if (r==1) flip=1; signal=signal'; [r,c]=size(signal); else flip=0; end

newsig = signal-ones(r,1)*mean(signal);

if(flip==1) newsig=newsig'; end




